## 3d-ascii-viewer-c 1.3.0+ds

=== debian/changelog ===
3d-ascii-viewer-c (1.3.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update long description.

 -- Gürkan Myczko <tar@debian.org>  Wed, 21 Jun 2023 09:10:25 +0200

3d-ascii-viewer-c (1.2.0+ds-2) unstable; urgency=medium

  * Re-add lost libncurses-dev to build-depends in d/control.

 -- Gürkan Myczko <tar@debian.org>  Thu, 01 Jun 2023 09:13:40 +0200

3d-ascii-viewer-c (1.2.0+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 01 Jun 2023 08:47:51 +0200

3d-ascii-viewer-c (1.1.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1035626)

 -- Gürkan Myczko <tar@debian.org>  Sat, 06 May 2023 21:13:25 +0200

## 3d-ascii-viewer-c 1.4.0+git20240503+ds

=== Makefile ===
TARGET_EXEC := 3d-ascii-viewer
TEMPDIR := tmp

CC      := gcc
CFLAGS  := -Wall
LDFLAGS := -lm -lncurses
SRC_DIR := src

SRCS := $(shell find $(SRC_DIR) -name '*.c')
OBJS := $(SRCS:%=$(TEMPDIR)/%.o)

$(TARGET_EXEC): $(OBJS)
	$(CC) $(OBJS) -o $@ $(LDFLAGS)

$(TEMPDIR)/%.c.o: %.c
	mkdir -p $(dir $@)
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: clean
clean:
	rm -rf $(TARGET_EXEC) $(TEMPDIR)

## 3d-ascii-viewer-c 1.4.0%2Bgit20240503%2Bds

=== debian/control ===
Source: 3d-ascii-viewer-c
Section: graphics
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libncurses-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/autopawn/3d-ascii-viewer-c
Vcs-Browser: https://salsa.debian.org/debian/3d-ascii-viewer-c
Vcs-Git: https://salsa.debian.org/debian/3d-ascii-viewer-c.git

Package: 3d-ascii-viewer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 meshlab
Description: Viewer of 3D models in ASCII
 This is a 3d object file viewer for the console/terminal.
 Wavefront OBJ, and STL file formats are supported.

## 3d-ascii-viewer-c 1.4.0+ds

=== debian/changelog ===
3d-ascii-viewer-c (1.4.0+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 24 Dec 2023 00:40:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: 3d-ascii-viewer-c
 Section: graphics
 Priority: optional
-Maintainer: Alex Myczko <tar@debian.org>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  help2man,
  libncurses-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/autopawn/3d-ascii-viewer-c
 Vcs-Browser: https://salsa.debian.org/debian/3d-ascii-viewer-c
 Vcs-Git: https://salsa.debian.org/debian/3d-ascii-viewer-c.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	PATH=. /usr/bin/help2man --no-discard-stderr -N -n "an OBJ 3D model format viewer for the terminal" --version-string=1.1.0 3d-ascii-viewer > 3d-ascii-viewer.1

## 3d-ascii-viewer-c 1.4.0+git20240503+ds

=== debian/changelog ===
3d-ascii-viewer-c (1.4.0+git20240503+ds-2) unstable; urgency=medium

  * Do not override default build flags, thanks Emanuele Rocca for the patch.
    (Closes: #1096202)

 -- Alex Myczko <tar@debian.org>  Wed, 19 Feb 2025 16:54:01 +0000

3d-ascii-viewer-c (1.4.0+git20240503+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Fri, 03 May 2024 12:58:33 +0000

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/autopawn/3d-ascii-viewer-c/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
